Get Real-Time Quotes
curl --request GET \
--url https://api.aries.com/v1/chart/quotes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aries.com/v1/chart/quotes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/chart/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"d": [
{
"n": "Apple INC",
"s": "AAPL",
"v": {
"ask": 130.92,
"bid": 130.88,
"ch": 2.15,
"chp": 1.67,
"description": "Apple Inc. Common Stock",
"exchange": "NASDAQ",
"high_price": 131.25,
"low_price": 129.3,
"lp": 130.89,
"open_price": 129.5,
"prev_close_price": 128.74,
"short_name": "Apple Inc.",
"volume": 45678900
}
},
{
"n": "Alphabet Inc",
"s": "GOOGL",
"v": {
"ask": 130.55,
"bid": 130.48,
"ch": -1.25,
"chp": -0.95,
"description": "Alphabet Inc. Class A Common Stock",
"exchange": "NASDAQ",
"high_price": 131.8,
"low_price": 130.1,
"lp": 130.5,
"open_price": 131.2,
"prev_close_price": 131.75,
"short_name": "Alphabet Inc.",
"volume": 23456789
}
}
],
"s": "ok"
}Chart
Quotes
Retrieves current market quotes for multiple symbols including bid/ask prices, last trade price, volume, and change metrics.
Use Case: Display live price quotes and market data for watchlists, ticker displays, and real-time trading dashboards.
GET
/
v1
/
chart
/
quotes
Get Real-Time Quotes
Authorizations
OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.
Query Parameters
Comma-separated symbols to quote, such as AAPL,MSFT. Use one symbol for a quote tile or multiple symbols for watchlists and dashboards.
Response
Quotes retrieved successfully
Response body for quote requests. Use it to render current market prices for one or more symbols.
Was this page helpful?